[request] build for hardy

Asked by Mahyuddin Susanto on 2010-11-22

Hello
Why this ppa doesn't include hardy as stable development?

Question information

Language:
English Edit question
Status:
Solved
For:
Nginx Edit question
Assignee:
No assignee Edit question
Solved by:
Mahyuddin Susanto
Solved:
Last query:
Last reply:
Revision history for this message
Michael Lustfield (michaellustfield) said :
#1

I can surely start going back as far as Hardy. However, if things break I will not put in any additional effort to make the packaging work. I will cover Hardy in my next upload.

Revision history for this message
Michael Lustfield (michaellustfield) said :
#2

Alrighty. I looked it over enough to know that the current packaging will not work with Hardy. Our packaging uses a patching system that is not supported by Ubuntu 8.04. If you would like to submit packaging I would be willing to build the latest version of Nginx for Hardy in our PPA. However, I am not able to devote that much time to additional tasks.

nginx 0.8.53-3ppa5 in lucid (Source format '3.0 (quilt)' not supported by target series hardy.)

Revision history for this message
Mahyuddin Susanto (udienz) said :
#3

hm.. sound like dependency problem.. but if you put debhelper from hardy-backports maybe nginx can build. btw, i try to build from lp:nginx/ubuntu-0.8 and i got error
[...]
cp -Pa /tmp/buildd/nginx-0.8.53-3/src /tmp/buildd/nginx-0.8.53-3/debian/build-full/
cp -Pa /tmp/buildd/nginx-0.8.53-3/modules /tmp/buildd/nginx-0.8.53-3/debian/build-full/
cp: cannot stat `/tmp/buildd/nginx-0.8.53-3/modules': No such file or directory
make: *** [config.env.full] Error 1
dpkg-buildpackage: failure: debian/rules build gave error exit status 2
E: Failed autobuilding of package
[...]

Revision history for this message
Mahyuddin Susanto (udienz) said :
#4

I have succesfully build at hardy, try this lp:~udienz/nginx/nginx.hardy

Revision history for this message
AnrDaemon (anrdaemon) said :
#5

That's a joke in itself... :(

# bzr branch lp:~udienz/nginx/nginx.hardy nginx
bzr: ERROR: Unknown branch format: 'Bazaar Branch Format 7 (needs bzr 1.6)\n'

# bzr --version
Bazaar (bzr) 1.3.1